## EUrl

EUrl — A URI data structure and associated functions.

## Synopsis

    char*               e_url_shroud                        (const char *url);
    gboolean            e_url_equal                         (const char *url1,
                                                             const char *url2);
                        EUri;
    EUri*               e_uri_new                           (const char *uri_string);
    void                e_uri_free                          (EUri *uri);
    const char*         e_uri_get_param                     (EUri *uri,
                                                             const char *name);
    EUri*               e_uri_copy                          (EUri *uri);
    char*               e_uri_to_string                     (EUri *uri,
                                                             gboolean show_password);

## Description

## Details

### e_url_shroud ()

    char*               e_url_shroud                        (const char *url);

`url` : |
Returns : |

### e_url_equal ()

    gboolean            e_url_equal                         (const char *url1,
                                                             const char *url2);

`url1` : |
`url2` : |
Returns : |

### EUri

    typedef struct {
    	char  *protocol;
    	char  *user;
    	char  *authmech;
    	char  *passwd;
    	char  *host;
    	int    port;
    	char  *path;
    	GData *params;
    	char  *query;
    	char  *fragment;
    } EUri;

### e_uri_new ()

    EUri*               e_uri_new                           (const char *uri_string);

`uri_string` : |
Returns : |

### e_uri_free ()

    void                e_uri_free                          (EUri *uri);

`uri` : |

### e_uri_get_param ()

    const char*         e_uri_get_param                     (EUri *uri,
                                                             const char *name);

`uri` : |
`name` : |
Returns : |

### e_uri_copy ()

    EUri*               e_uri_copy                          (EUri *uri);

`uri` : |
Returns : |

### e_uri_to_string ()

    char*               e_uri_to_string                     (EUri *uri,
                                                             gboolean show_password);

`uri` : |
`show_password` : |
Returns : |